summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-06-10 14:49:58 +0200
committerMichael Vogt <mvo@debian.org>2014-06-10 14:49:58 +0200
commit59d6e5b06c25acdd6583ea801740c36acabc19ac (patch)
tree9601b003fd15db600922aa60c786523669ffba9c /test
parentac00cca724734db58ad14ab8c77d445d0df3bc9f (diff)
parent8f418981337503ff7abedd872f788b51bcdbc886 (diff)
Merge remote-tracking branch 'mvo/feature/apt-update-info' into debian/sid
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-apt-cli-update17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/integration/test-apt-cli-update b/test/integration/test-apt-cli-update
new file mode 100755
index 000000000..8237bf03f
--- /dev/null
+++ b/test/integration/test-apt-cli-update
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+insertpackage 'unstable' 'foo' 'all' '2.0'
+insertinstalledpackage 'foo' 'all' '1.0'
+
+setupaptarchive
+
+APTARCHIVE=$(readlink -f ./aptarchive)
+
+testequal "1 package can be upgraded. Run 'apt list --upgradable' to see it." apt update -q